Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161336 - xserver issue on blade center
Summary: xserver issue on blade center
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168424 173390
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:07 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:08:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch to disable console keyboard controlller on IBM bladeservers (deleted)
2005-07-25 17:38 UTC, Brian Maly
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-06-22 15:07:57 UTC
Escalated to Bugzilla from IssueTracker

Comment 21 Brian Maly 2005-06-28 18:39:34 UTC
looks like a duplicate of bz 160337 

I have looked at bz 160337 but so far I have been unable to reproduce the issue.

Comment 22 Brian Maly 2005-07-25 17:24:23 UTC
a patch for this was posted (7/12/05) to rhkernel for approval. the patch was
tested and resolves the problem.

this issue was due to the fact that the IBM bladecenter blades dont have a
console keyboard (hotplug USB keyboard instead). as a result the system is
unable to initialize the console keyboard controller/keyboard at boot and spews
errors. the fix is simply to skip the console keyboard init if you are on a
system without a console keyboard



Comment 23 Brian Maly 2005-07-25 17:38:36 UTC
Created attachment 117129 [details]
patch to disable console keyboard controlller on IBM bladeservers

IBM bladeservers have a USB-based console switch. Switching consoles
actually causes a hotplug event (adding the keyboard), and removes the
keyboard from the last blade it was connected to. There is no console 
keyboard on IBM bladeservers, so the standard console keyboard init 
spews to the logs (since there isnt one).

this patch adds a command line option "nokeyb" that can be passed in at boot
to disable console keyboard init. this option is automagically set for IBM
blade servers via dmi-scan.

Comment 24 Ernie Petrides 2005-07-25 18:55:39 UTC
*** Bug 160337 has been marked as a duplicate of this bug. ***

Comment 26 Ernie Petrides 2005-09-13 03:13:57 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.1.EL).


Comment 27 Brian Maly 2005-11-04 19:35:35 UTC
should this bug be closed? Duplicate of this issue (bug 160337) has been closed
already.

Comment 34 Red Hat Bugzilla 2006-03-15 16:08:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.